require 'eaternet/version'
require 'eaternet/agencies/multco'
require 'eaternet/agencies/nyc'
require 'eaternet/agencies/sf'
require 'eaternet/agencies/snhd'
require 'eaternet/agencies/austin'
require 'eaternet/agencies/lives2'

module Eaternet
  # Make the actual adapters easily available
  # to the application-level as:
  #
  # * `Eaternet::Austin` — Austin, TX
  # * `Eaternet::Nyc`    – New York City
  # * `Eaternet::Sf`     - San Francisco
  # * `Eaternet::Snhd`   — Las Vegas area
  # * `Eaternet::Multco` — Portland area, Oregon, USA
  include Eaternet::Agencies

  class UnsupportedError < StandardError
  end
end

Zip.warn_invalid_date = false if ENV['RUBYZIP_NO_WARN_INVALID_DATE']
