require 'eaternet/lives_1_0/adapter'
require 'eaternet/lives_1_0/business'
require 'eaternet/lives_1_0/feed_info'
require 'eaternet/lives_1_0/inspection'
require 'eaternet/lives_1_0/legend'
require 'eaternet/lives_1_0/legend_group'
require 'eaternet/lives_1_0/violation'

module Eaternet
  # Framework for creating LIVES 1.0 apps.
  #
  # The goal is to make it as easy as possible to create
  # compliant implementations. And so, the {Lives_1_0::Business},
  # {Lives_1_0::Inspection},
  # and other data objects validate themselves for adherence
  # to the spec.
  #
  # @see http://www.yelp.com/healthscores Local Inspector Value-Entry
  #   Specification (LIVES)
  module Lives_1_0
  end
end
